xine-lib: xine_vld_frame_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_vld_frame_s Struct Reference

`#include <accel_xvmc.h>`

## Data Fields
int | version
int | mv_ranges [2][2]
int | picture_structure
int | picture_coding_type
int | intra_dc_precision
int | mpeg_coding
int | progressive_sequence
int | scan
int | pred_dct_frame
int | concealment_motion_vectors
int | q_scale_type
int | intra_vlc_format
int | second_field
int | load_intra_quantizer_matrix
int | load_non_intra_quantizer_matrix
uint8_t | intra_quantizer_matrix [64]
uint8_t | non_intra_quantizer_matrix [64]
vo_frame_t * | backward_reference_frame
vo_frame_t * | forward_reference_frame

## Field Documentation

## ◆ backward_reference_frame

vo_frame_t* xine_vld_frame_s::backward_reference_frame

Referenced by mpeg2_xxmc_slice().

## ◆ concealment_motion_vectors

int xine_vld_frame_s::concealment_motion_vectors

Referenced by mpeg2_xxmc_slice().

## ◆ forward_reference_frame

vo_frame_t* xine_vld_frame_s::forward_reference_frame

Referenced by mpeg2_xxmc_slice().

## ◆ intra_dc_precision

int xine_vld_frame_s::intra_dc_precision

Referenced by mpeg2_xxmc_slice().

## ◆ intra_quantizer_matrix

uint8_t xine_vld_frame_s::intra_quantizer_matrix[64]

Referenced by mpeg2_xxmc_slice().

## ◆ intra_vlc_format

int xine_vld_frame_s::intra_vlc_format

Referenced by mpeg2_xxmc_slice().

## ◆ load_intra_quantizer_matrix

int xine_vld_frame_s::load_intra_quantizer_matrix

Referenced by mpeg2_xxmc_slice().

## ◆ load_non_intra_quantizer_matrix

int xine_vld_frame_s::load_non_intra_quantizer_matrix

Referenced by mpeg2_xxmc_slice().

## ◆ mpeg_coding

int xine_vld_frame_s::mpeg_coding

Referenced by mpeg2_xxmc_slice().

## ◆ mv_ranges

int xine_vld_frame_s::mv_ranges[2][2]

Referenced by mpeg2_xxmc_slice().

## ◆ non_intra_quantizer_matrix

uint8_t xine_vld_frame_s::non_intra_quantizer_matrix[64]

Referenced by mpeg2_xxmc_slice().

## ◆ picture_coding_type

int xine_vld_frame_s::picture_coding_type

Referenced by mpeg2_xxmc_slice().

## ◆ picture_structure

int xine_vld_frame_s::picture_structure

Referenced by mpeg2_xxmc_slice().

## ◆ pred_dct_frame

int xine_vld_frame_s::pred_dct_frame

Referenced by mpeg2_xxmc_slice().

## ◆ progressive_sequence

int xine_vld_frame_s::progressive_sequence

Referenced by mpeg2_xxmc_slice().

## ◆ q_scale_type

int xine_vld_frame_s::q_scale_type

Referenced by mpeg2_xxmc_slice().

## ◆ scan

int xine_vld_frame_s::scan

Referenced by mpeg2_xxmc_slice().

## ◆ second_field

int xine_vld_frame_s::second_field

Referenced by mpeg2_xxmc_slice().

## ◆ version

int xine_vld_frame_s::version

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/accel_xvmc.h